MWAWDocument Class Reference

This class provides all the functions an application would need to parse Works documents. More...

`#include <MWAWDocument.hxx>`

## Public Types

enum | DocumentType { UNKNOWN, CW, FULLW, MINDW, MSWORD, MSWORKS, MW, MWPRO, NISUSW, WNOW, WPLUS, HMAC, LWTEXT, MARIW, ZWRT, DM, ACT, ED, HMACJ, TEACH, TEDIT, BW, FRM, GW, MACD, MOCKP, MORE, PAGEMK, RGTIME, RSG, XP, RESERVED1, RESERVED2, RESERVED3, RESERVED4, RESERVED5, RESERVED6, RESERVED7, RESERVED8, RESERVED9 }

an enum to define the different type of document -ACT: Acta (v2 and Classic v1) -BW: BeagleWorks (v1.0)/WordPerfect Works (v1.2) -CW: ClarisWorks/AppleWorks document ( all versions, open text files + some draw files ) -DM: DocMaker (v4) -ED: eDOC (v2) -FRM: Frame Maker (nothing done) -FULLW: FullWrite Professional (basic) -GW: GreatWorks ( v1-v2, text and drawing document) -HMACJ: HanMac Word-J ( v2.0.4 ) -HMAC: HanMac Word-K ( v2.0.5-2.0.6 ) -LWTEXT: LightWayText ( only v4.5 Mac format ) -MACD: MacDoc ( v1.3 ) -MARIW: Mariner Write ( only v1.6-v3.5 Mac Classic) -MINDW: MindWrite -MOCKP: MockPackage (nothing done ) -MORE: More (v2-3: retrieve the organization part but not the slide/tree parts) -MW: MacWrite document -MWPRO: MacWriteII or MacWritePro document -MSWORD: MSWord document (v4 v5: basic done) -MSWORKS: MSWorks document (v1 v2) -NISUSW: Nisus Writer document: v3.4-v6.5 -PAGEMK: Page Maker ( nothing done) -RSG: Ready Set Go (nothing done) -RGTIME: RagTime (nothing done) -TEACH: TeachText or SimpleText: v1 -TEDIT: Tex-Edit v2 -WNOW: WriteNow -WPLUS: writerplus document -XP: XPress (nothing done ) -ZWRT: Z-Write : v1.3 More...

enum | DocumentKind { K_UNKNOWN, K_TEXT, K_DRAW, K_PAINT, K_PRESENTATION, K_SPREADSHEET, K_DATABASE }
| an enum to define the kind of document More...

## Static Public Member Functions

static MWAWLIB MWAWConfidence | isFileFormatSupported (WPXInputStream *input, DocumentType &type, DocumentKind &kind)
| Analyzes the content of an input stream to see if it can be parsed. More...
static MWAWLIB MWAWResult | parse (WPXInputStream *input, WPXDocumentInterface *documentInterface)
| Parses the input stream content. More...

## Detailed Description

This class provides all the functions an application would need to parse Works documents.

## Member Enumeration Documentation

enum MWAWDocument::DocumentKind

an enum to define the kind of document

Enumerator
K_UNKNOWN |
K_TEXT |
K_DRAW |
K_PAINT |
K_PRESENTATION |
K_SPREADSHEET |
K_DATABASE |

enum MWAWDocument::DocumentType

an enum to define the different type of document -ACT: Acta (v2 and Classic v1) -BW: BeagleWorks (v1.0)/WordPerfect Works (v1.2) -CW: ClarisWorks/AppleWorks document ( all versions, open text files + some draw files ) -DM: DocMaker (v4) -ED: eDOC (v2) -FRM: Frame Maker (nothing done) -FULLW: FullWrite Professional (basic) -GW: GreatWorks ( v1-v2, text and drawing document) -HMACJ: HanMac Word-J ( v2.0.4 ) -HMAC: HanMac Word-K ( v2.0.5-2.0.6 ) -LWTEXT: LightWayText ( only v4.5 Mac format ) -MACD: MacDoc ( v1.3 ) -MARIW: Mariner Write ( only v1.6-v3.5 Mac Classic) -MINDW: MindWrite -MOCKP: MockPackage (nothing done ) -MORE: More (v2-3: retrieve the organization part but not the slide/tree parts) -MW: MacWrite document -MWPRO: MacWriteII or MacWritePro document -MSWORD: MSWord document (v4 v5: basic done) -MSWORKS: MSWorks document (v1 v2) -NISUSW: Nisus Writer document: v3.4-v6.5 -PAGEMK: Page Maker ( nothing done) -RSG: Ready Set Go (nothing done) -RGTIME: RagTime (nothing done) -TEACH: TeachText or SimpleText: v1 -TEDIT: Tex-Edit v2 -WNOW: WriteNow -WPLUS: writerplus document -XP: XPress (nothing done ) -ZWRT: Z-Write : v1.3

-RESERVED1-9: reserved to future use (DreamWeaver?, Canvas?, InDesign?, Taste? )

Enumerator
UNKNOWN |
CW |
FULLW |
MINDW |
MSWORD |
MSWORKS |
MW |
MWPRO |
NISUSW |
WNOW |
WPLUS |
HMAC |
LWTEXT |
MARIW |
ZWRT |
DM |
ACT |
ED |
HMACJ |
TEACH |
TEDIT |
BW |
FRM |
GW |
MACD |
MOCKP |
MORE |
PAGEMK |
RGTIME |
RSG |
XP |
RESERVED1 |
RESERVED2 |
RESERVED3 |
RESERVED4 |
RESERVED5 |
RESERVED6 |
RESERVED7 |
RESERVED8 |
RESERVED9 |

## Member Function Documentation

MWAWConfidence MWAWDocument::isFileFormatSupported | ( | WPXInputStream * | input,
|  | MWAWDocument::DocumentType & | type,
|  | DocumentKind & | kind
| ) |  |

static

Analyzes the content of an input stream to see if it can be parsed.

Parameters

  input | The input stream
  type | The document type ( filled if the file is supported )
  kind | The document kind ( filled if the file is supported )

Returns
  A confidence value which represents the likelyhood that the content from the input stream can be parsed

MWAWResult MWAWDocument::parse | ( | WPXInputStream * | input,
|  | WPXDocumentInterface * | documentInterface
| ) |  |

static

Parses the input stream content.

It will make callbacks to the functions provided by a WPXDocumentInterface class implementation when needed. This is often commonly called the 'main parsing routine'.

Parameters

  input | The input stream
  documentInterface | A MWAWListener implementation

The documentation for this class was generated from the following files:

- MWAWDocument.hxx
- MWAWDocument.cxx